Error
A valid request URL is required to generate request examples{
"results": [
{
"credentials": {
"type": "snowflake",
"account": "<string>",
"database": "<string>",
"warehouse": "<string>",
"schema": "<string>",
"requireUserCredentials": true,
"authenticationType": "password",
"role": "<string>",
"threads": 123,
"clientSessionKeepAlive": true,
"queryTag": "<string>",
"accessUrl": "<string>",
"startOfWeek": 0,
"dataTimezone": "<string>",
"quotedIdentifiersIgnoreCase": true,
"disableTimestampConversion": true,
"timeoutSeconds": 123,
"override": true,
"organizationWarehouseCredentialsUuid": "<string>"
},
"createdByUserUuid": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"warehouseType": "bigquery",
"description": "<string>",
"name": "<string>",
"organizationUuid": "<string>",
"organizationWarehouseCredentialsUuid": "<string>"
}
],
"status": "ok"
}{
"error": {
"name": "<string>",
"statusCode": 123,
"data": "<unknown>",
"message": "<string>"
},
"status": "error"
}Organization Warehouse Credentials
List warehouse credentials
Get all warehouse credentials for the current organization
GET
/
api
/
v1
/
org
/
warehouse-credentials
Error
A valid request URL is required to generate request examples{
"results": [
{
"credentials": {
"type": "snowflake",
"account": "<string>",
"database": "<string>",
"warehouse": "<string>",
"schema": "<string>",
"requireUserCredentials": true,
"authenticationType": "password",
"role": "<string>",
"threads": 123,
"clientSessionKeepAlive": true,
"queryTag": "<string>",
"accessUrl": "<string>",
"startOfWeek": 0,
"dataTimezone": "<string>",
"quotedIdentifiersIgnoreCase": true,
"disableTimestampConversion": true,
"timeoutSeconds": 123,
"override": true,
"organizationWarehouseCredentialsUuid": "<string>"
},
"createdByUserUuid": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"warehouseType": "bigquery",
"description": "<string>",
"name": "<string>",
"organizationUuid": "<string>",
"organizationWarehouseCredentialsUuid": "<string>"
}
],
"status": "ok"
}{
"error": {
"name": "<string>",
"statusCode": 123,
"data": "<unknown>",
"message": "<string>"
},
"status": "error"
}Query Parameters
If true, returns only summaries (name, type) accessible to all members. If false/undefined, returns full credentials requiring manage permission.
Was this page helpful?
āI